<!--
{
  "documentType" : "article",
  "framework" : "AppStoreConnectAPI",
  "identifier" : "/documentation/AppStoreConnectAPI/merchantids",
  "metadataVersion" : "0.1.0",
  "role" : "collectionGroup",
  "title" : "Merchant ID"
}
-->

# Merchant ID

Manage your merchant ID for Apple Pay.

## Discussion

Apple Pay developers and merchants can use this resource to automate registering both merchant ID and merchant name for interacting with Apple Pay services, and rotate required certificates to keep the service active. To learn more about developing and configuring Apple Pay, see [Configure Apple Pay](https://developer.apple.com/help/account/configure-app-capabilities/configure-apple-pay/).

To learn more about setting up your Apple developer account and implementing Apple Pay in your apps, see [Managing merchant IDs and Payment Processing certificates](/documentation/AppStoreConnectAPI/managing-payment-processing-certificates) and [Setting up Apple Pay](https://developer.apple.com/documentation/passkit/setting-up-apple-pay).

> Note: Apple Pay is not available for Enterprise teams.

## Topics

### Managing merchant IDs

[Managing merchant IDs and Payment Processing certificates](/documentation/AppStoreConnectAPI/managing-payment-processing-certificates)

Create and update certificates so your app uses Apple Pay and Wallet.  >

[`GET /v1/merchantIds`](/documentation/AppStoreConnectAPI/GET-v1-merchantIds)

List all merchant Ids for your team.

[`GET /v1/merchantIds/{id}`](/documentation/AppStoreConnectAPI/GET-v1-merchantIds-_id_)

Get information for a merchant ID.

[`GET /v1/merchantIds/{id}/certificates`](/documentation/AppStoreConnectAPI/GET-v1-merchantIds-_id_-certificates)

Get a list of all certificates for a specific merchant ID.

[`GET /v1/merchantIds/{id}/relationships/certificates`](/documentation/AppStoreConnectAPI/GET-v1-merchantIds-_id_-relationships-certificates)

[`PATCH /v1/merchantIds/{id}`](/documentation/AppStoreConnectAPI/PATCH-v1-merchantIds-_id_)

Update a specific merchant ID.

[`POST /v1/merchantIds`](/documentation/AppStoreConnectAPI/POST-v1-merchantIds)

Add a new merchant ID to your team.

[`DELETE /v1/merchantIds/{id}`](/documentation/AppStoreConnectAPI/DELETE-v1-merchantIds-_id_)

Delete a specific merchant ID.

### Objects

[`MerchantId`](/documentation/AppStoreConnectAPI/MerchantId)

An Apple Pay merchant identifier registered to your account, used to associate payment capabilities with your app’s bundle ID.

[`MerchantIdResponse`](/documentation/AppStoreConnectAPI/MerchantIdResponse)

A response containing a single Apple Pay merchant identifier.

[`MerchantIdsResponse`](/documentation/AppStoreConnectAPI/MerchantIdsResponse)

A response containing a list of Apple Pay merchant identifiers registered to your account.

[`MerchantIdCreateRequest`](/documentation/AppStoreConnectAPI/MerchantIdCreateRequest)

The request body you use to create a merchant ID.

[`MerchantIdUpdateRequest`](/documentation/AppStoreConnectAPI/MerchantIdUpdateRequest)

The request body you use to update a merchant ID.

[`MerchantIdCertificatesLinkagesResponse`](/documentation/AppStoreConnectAPI/MerchantIdCertificatesLinkagesResponse)



---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)